import createAxios from '@/utils/request'

//激活主题
export function activateTheme(params: String) {
    return createAxios({
        url: '/system-boot/theme/activateTheme',
        method: 'PUT',
        params: params
    })
}
//删除主题
export function deleteTheme(params: String) {
    return createAxios({
        url: '/system-boot/theme/deleteTheme',
        method: 'DELETE',
        params: params
    })
}
//新增主题
export function addTheme(data: anyObj) {
    return createAxios({
        url: '/system-boot/theme/addTheme',
        method: 'POST',
        data
    })
}
//修改主题
export function updateTheme(data: anyObj) {
    return createAxios({
        url: '/system-boot/theme/updateTheme',
        method: 'PUT',
        data
    })
}
